<?php
/**
 * 短い説明
 * 
 * 長い説明
 * 
 * @package aowp
 */
/**
 * 短い説明
 * 
 * 長い説明
 * 
 * @package aowp
 */
class AOWP_Map {
	private $_keys;
	private $_values;
	
	public function __construct() {
		$this->_keys = array();
		$this->_values = array();
	}
	
	public function put(AOWP_IMapKey $key, $value) {
		$this->_keys[] = $key;
		$this->_values[] = $value;
	}
	
	public function get(AOWP_IMapKey $key) {
		for ($i = 0; $i < count($this->_keys); $i++) {
			if ($key->keyMatch($this->_keys[$i])) {
				return $this->_values[$i];
			}
		}
		return null;
	}
	
}
?>